summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorFilip Tehlar <ftehlar@cisco.com>2017-02-08 11:27:52 +0100
committerFilip Tehlar <ftehlar@cisco.com>2017-02-08 11:27:52 +0100
commitf3ac1dd5823fd7798b47d319e764da5945b5812c (patch)
tree11c31d3223367fa5aaf94451a4bfd90c8f00eb69
parent8a12b449c9f9c5b8d58a5f2f71d359bd8636d1b8 (diff)
Improve mapping timer test
Change-Id: I2007c0a8c76b8ce2c91f1030de6a98e5d508ab8c Signed-off-by: Filip Tehlar <ftehlar@cisco.com>
-rw-r--r--tests/data_plane/vpp_lite_topo/test_driver/src_dst.sh10
1 files changed, 8 insertions, 2 deletions
diff --git a/tests/data_plane/vpp_lite_topo/test_driver/src_dst.sh b/tests/data_plane/vpp_lite_topo/test_driver/src_dst.sh
index 99c74bf..c4a756d 100644
--- a/tests/data_plane/vpp_lite_topo/test_driver/src_dst.sh
+++ b/tests/data_plane/vpp_lite_topo/test_driver/src_dst.sh
@@ -59,7 +59,7 @@ function test_src_dst
maybe_pause
3_node_star_topo_clean
- print_status $rc "No ICM response!"
+ print_status $rc "No ICMP response!"
exit $test_result
}
@@ -96,7 +96,7 @@ function test_src_dst_l2
maybe_pause
3_node_star_topo_clean
- print_status $rc "No ICM response!"
+ print_status $rc "No ICMP response!"
exit $test_result
}
@@ -123,14 +123,20 @@ function test_mapping_timers
mapping_exists "vpp1" "6.0.1.0/24|6.0.2.0/24"
assert_rc_ok $? 3_node_star_topo_clean "mapping not in map-cache!"
+ mapping_exists "vpp1" "6.0.5.0/24|6.0.2.0/24"
+ assert_rc_ok $? 3_node_star_topo_clean "mapping not in map-cache!"
mapping_exists "vpp2" "6.0.1.0/24"
assert_rc_ok $? 3_node_star_topo_clean "mapping not in map-cache!"
# sleep enough so the mapping expires
sleep 65
+ maybe_pause
+
mapping_exists "vpp1" "6.0.1.0/24|6.0.2.0/24"
assert_rc_not_ok $? 3_node_star_topo_clean "mapping still present in map-cache!"
+ mapping_exists "vpp1" "6.0.5.0/24|6.0.2.0/24"
+ assert_rc_not_ok $? 3_node_star_topo_clean "mapping still present in map-cache!"
mapping_exists "vpp2" "6.0.1.0/24"
assert_rc_not_ok $? 3_node_star_topo_clean "mapping still present in map-cache!"